aboutsummaryrefslogtreecommitdiffstats
path: root/pc
diff options
context:
space:
mode:
Diffstat (limited to 'pc')
-rw-r--r--pc/ChangeLog22
-rw-r--r--pc/Makefile.tst29
-rw-r--r--pc/config.h8
-rw-r--r--pc/config.sed2
4 files changed, 51 insertions, 10 deletions
diff --git a/pc/ChangeLog b/pc/ChangeLog
index cd8a6db9..eeae9767 100644
--- a/pc/ChangeLog
+++ b/pc/ChangeLog
@@ -1,3 +1,25 @@
+2013-05-09 Arnold D. Robbins <arnold@skeeve.com>
+
+ * 4.1.0: Release tar ball made.
+
+2013-05-09 Scott Deifik <scottd.mail@sbcglobal.net>
+
+ * Makefile.tst: Sync with mainline.
+
+2013-05-05 Eli Zaretskii <eliz@gnu.org>
+
+ * config.sed (HAVE_MPFR): Don't #undef; it will be defined by
+ pc/Makefile as needed.
+
+2013-05-04 Eli Zaretskii <eliz@gnu.org>
+
+ * config.h (HAVE_MPFR): Don't #undef; it will be defined by
+ pc/Makefile as needed.
+
+2013-05-02 Scott Deifik <scottd.mail@sbcglobal.net>
+
+ * Makefile.tst: Sync with mainline.
+
2013-04-29 Eli Zaretskii <eliz@gnu.org>
* Makefile.tst (mpfr-tests, shlib-tests, rsnulbig, rsnulbig2):
diff --git a/pc/Makefile.tst b/pc/Makefile.tst
index 78ad5ad1..dff0cacb 100644
--- a/pc/Makefile.tst
+++ b/pc/Makefile.tst
@@ -259,12 +259,20 @@ inet: inetmesg $(INET_TESTS)
machine-tests: $(MACHINE_TESTS)
mpfr-tests:
+# @if $(AWK) --version | $(AWK) '/MPFR/ { exit 1 }' ; then \
+# echo MPFR tests not supported on this system ; \
+# else $(MAKE) $(MPFR_TESTS) ; \
+# fi
@if $(AWK) --version | $(AWK) ' /MPFR/ { exit 1 }' ; then \
echo MPFR tests not supported on this system ; \
else $(MAKE) $(MPFR_TESTS) ; \
fi
shlib-tests:
+# @if $(AWK) --version | $(AWK) '/API/ { exit 1 }' ; then \
+# echo shlib tests not supported on this system ; \
+# else $(MAKE) shlib-real-tests ; \
+# fi
@if $(AWK) --version | $(AWK) ' /API/ { exit 1 }' ; then \
echo shlib tests not supported on this system ; \
else $(MAKE) shlib-real-tests ; \
@@ -591,6 +599,9 @@ printf0::
rsnulbig::
@echo $@
@ : Suppose that block size for pipe is at most 128kB:
+# @$(AWK) 'BEGIN { for (i = 1; i <= 128*64+1; i++) print "abcdefgh123456\n" }' 2>&1 | \
+# $(AWK) 'BEGIN { RS = ""; ORS = "\n\n" }; { print }' 2>&1 | \
+# $(AWK) '/^[^a]/; END{ print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@$(AWK) 'BEGIN { for (i = 1; i <= 128*64+1; i++) print "abcdefgh123456\n" }' 2>&1 | \
$(AWK) 'BEGIN { RS = ""; ORS = "\n\n" }; { print }' 2>&1 | \
$(AWK) ' /^[^a]/; END{ print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@@ -598,6 +609,10 @@ rsnulbig::
rsnulbig2::
@echo $@
+# @$(AWK) 'BEGIN { ORS = ""; n = "\n"; for (i = 1; i <= 10; i++) n = (n n); \
+# for (i = 1; i <= 128; i++) print n; print "abc\n" }' 2>&1 | \
+# $(AWK) 'BEGIN { RS = ""; ORS = "\n\n" };{ print }' 2>&1 | \
+# $(AWK) '/^[^a]/; END { print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@$(AWK) 'BEGIN { ORS = ""; n = "\n"; for (i = 1; i <= 10; i++) n = (n n); \
for (i = 1; i <= 128; i++) print n; print "abc\n" }' 2>&1 | \
$(AWK) 'BEGIN { RS = ""; ORS = "\n\n" };{ print }' 2>&1 | \
@@ -845,7 +860,7 @@ posix2008sub:
next:
@echo $@
- @-AWK="$(AWKPROG)" $(srcdir)/$@.sh > _$@ 2>&1
+ @-$(LOCALES) AWK="$(AWKPROG)" $(srcdir)/$@.sh > _$@ 2>&1
@-LC_ALL=C $(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
exit:
@@ -981,6 +996,7 @@ inplace3::
testext::
@echo $@
+# @$(AWK) '/^(@load|BEGIN)/,/^}/' $(top_srcdir)/extension/testext.c > testext.awk
@$(AWK) ' /^(@load|BEGIN)/,/^}/' $(top_srcdir)/extension/testext.c > testext.awk
@$(AWK) -f testext.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@ testext.awk
@@ -1026,6 +1042,12 @@ symtab8:
@grep -v '^ENVIRON' __$@ | grep -v '^PROCINFO' | grep -v '^FILENAME' >> _$@ ; rm __$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
+symtab9:
+ @echo $@
+ @$(AWK) -f $(srcdir)/$@.awk >_$@
+ @rm -f testit.txt
+ @-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
+
reginttrad:
@echo $@
@$(AWK) --traditional -r -f $(srcdir)/$@.awk > _$@
@@ -2267,11 +2289,6 @@ symtab7:
@AWKPATH=$(srcdir) $(AWK) -f $@.awk < $(srcdir)/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
-symtab9:
- @echo $@
- @AWKPATH=$(srcdir) $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
- @-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
-
double1:
@echo $@
@AWKPATH=$(srcdir) $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
diff --git a/pc/config.h b/pc/config.h
index 6f6a910a..079b6dec 100644
--- a/pc/config.h
+++ b/pc/config.h
@@ -180,7 +180,7 @@
#define HAVE_MKTIME 1
/* Define to 1 if you have fully functional mpfr and gmp libraries. */
-#undef HAVE_MPFR
+/* #undef HAVE_MPFR */
/* Define to 1 if you have the <netdb.h> header file. */
#undef HAVE_NETDB_H
@@ -424,7 +424,7 @@
#define PACKAGE_NAME "GNU Awk"
/* Define to the full name and version of this package. */
-#define PACKAGE_STRING "GNU Awk 4.0.76"
+#define PACKAGE_STRING "GNU Awk 4.1.0"
/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "gawk"
@@ -433,7 +433,7 @@
#define PACKAGE_URL "http://www.gnu.org/software/gawk/"
/* Define to the version of this package. */
-#define PACKAGE_VERSION "4.0.76"
+#define PACKAGE_VERSION "4.1.0"
/* Define to 1 if *printf supports %F format */
#undef PRINTF_HAS_F_FORMAT
@@ -495,7 +495,7 @@
/* Version number of package */
-#define VERSION "4.0.76"
+#define VERSION "4.1.0"
/* Enable large inode numbers on Mac OS X 10.5. */
#ifndef _DARWIN_USE_64_BIT_INODE
diff --git a/pc/config.sed b/pc/config.sed
index f70f9275..18d33297 100644
--- a/pc/config.sed
+++ b/pc/config.sed
@@ -108,6 +108,8 @@ s/^#undef HAVE_MEMSET *$/#define HAVE_MEMSET 1/
#define HAVE_MKSTEMP 1\
#endif
s/^#undef HAVE_MKTIME *$/#define HAVE_MKTIME 1/
+/^#undef HAVE_MPFR *$/c\
+/* #undef HAVE_MPFR */
/^#undef HAVE_SETENV *$/c\
#if defined(__MINGW32__) || defined(__DJGPP__)\
#define HAVE_SETENV 1\